<div>
  <h3>
      routing and navigation
  </h3>
</div>
<nav>
  <a routerLink='/departments' routerLinkActive='active'>Department</a>
  <a routerLink='/employees' routerLinkActive='active'>Employee</a>
</nav>
<h3>Lazy Loading is angular</h3>
<h4>Admin Links</h4>
<ul>
  <li><a routerLink='admin/login'>Login</a></li>
  <li><a routerLink='admin/list'>List</a></li>
</ul>
<h4>User Links</h4>
<ul>
  <li><a routerLink='user/login'>Login</a></li>
  <li><a routerLink='user/list'>List</a></li>
</ul>
<router-outlet></router-outlet>